@charset "UTF-8";

:root {
  --background-color: #ececed;
  --background-color: #efeff0;
  --foreground-colorG: #7accc8;
  --foreground-colorO: #f2d30d;
  --font-colorG: #34b7b1;
  --font-colorO: #f4c300;
  --font-colorB: #6a6464;
  --mono-color1: #525050;
  --mono-color2: #797979;
  --mono-color3: #8e8e8e;
  --mono-color4: #999;
  --mono-color5: #cecdcd;
  --mono-colorW: #fafafa;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--background-color);
  font-family: 'Zen Kaku Gothic New', sans-serif;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/*** header ***/
header {
  height: 80px;
  position: sticky;
  top: 0;
  z-index: 1;
}

header img {
  width: 67%;
  max-width: 10em;
  top: 19px;
  position: absolute;
}
@media (min-width: 600px) {
  header img {
    top: 9px;
    position: relative;
    margin: 0 10px;
    display: block;
    width: 160px;
  }
}
.demobox-header {
  background: #bec0c3ad;
  height: 75px;
  padding: 0.5em;
}

.hamburger-demo-menubox * {
  font-size: 20px;
}
.hamburger-demo-menubox li {
  font-size: 14px;
  font-weight: 500;
}

.hamburger-demo-menubox li a:hover {
  color: var(--font-colorG);
  transition: 0.2s;
}

/* hamburger */
.input-hidden {
  display: none;
}
/* label */
.hamburger-demo-switch {
  cursor: pointer;
  position: absolute;
  right: 1%;
  top: 0px;
  z-index: 9999;
  width: 4em;
  height: 4em;
}

#hamburger-demo1:checked ~ .hamburger-demo-switch {
  position: fixed;
}
/* hamburger icon*/
.hamburger-switch-line1,
.hamburger-switch-line1:before,
.hamburger-switch-line1:after {
  width: 25px;
  height: 3px;
  border-radius: 10px;
  background: var(--font-colorB);
  position: absolute;
  top: 50%;
  left: 50%;
  transition: 0.3s;
  content: '';
}
.hamburger-switch-line1 {
  transform: translate(-50%, -50%);
}
.hamburger-switch-line1:before {
  transform: translate(-50%, -315%);
}
.hamburger-switch-line1:after {
  transform: translate(-50%, 200%);
}
/* animation */
#hamburger-demo1:checked ~ .hamburger-demo-switch .hamburger-switch-line1 {
  width: 0;
}
#hamburger-demo1:checked ~ .hamburger-demo-switch .hamburger-switch-line1:before {
  transform: rotate(45deg) translate(-40%, 325%);
}
#hamburger-demo1:checked ~ .hamburger-demo-switch .hamburger-switch-line1:after {
  transform: rotate(-45deg) translate(-40%, -325%);
}
/* menu */
.hamburger-demo-menuwrap {
  position: fixed;
  height: 100%;
  background: #fafafa;
  padding: 5em 3% 2em;
  z-index: 9998;
  transition: 0.75s;
  /* overflow-y: scroll; */
  top: 0;
  left: 100%;
  width: 100%;
}
/* menu list */
.hamburger-demo-menulist {
  margin-right: 3%;
  padding-left: 5%;
  list-style: none;
}
.hamburger-demo-menulist li a {
  text-decoration: none;
  color: var(--mono-color2);
  display: block;
  padding: 0.5em 0;
  transition: 0.2s;
}
/* menu　animation */
#hamburger-demo1:checked ~ .hamburger-demo-menuwrap {
  left: 0%;
}

/* common */
section {
  width: 95%;
  max-width: 80em;
  margin: auto;
}

a {
  text-decoration: none;
}

h1 {
  padding: 0.4em;
  margin: 1.5em 0 0;
  color: var(--mono-color3);
  font-size: 2.3em;
  font-weight: 400;
  text-shadow: 1px 1px 0 #fff, -1.5px -1.5px 0 #fff, -1.5px 1.5px 0 #fff, 1.5px -1.5px 0 #fff, 0px 1.5px 0 #fff, 0 -1.5px 0 #fff, -1.5px 0 0 #fff, 1.5px 0 0 #fff;
  font-weight: 100;
}

h2 {
  font-weight: 400;
  color: var(--font-colorG);
  text-shadow: 1px 1px 0 #fff, -1px -1px 0 #fff, -1px 1px 0 #fff, 1px -1px 0 #fff, 0px 1px 0 #fff, 0 -1px 0 #fff, -1px 0 0 #fff, 1px 0 0 #fff;
  padding-bottom: 0.5em;
  font-size: 1.75em;
}

h4 {
  font-size: 2em;
  color: var(--font-colorG);
  font-weight: 100;
  margin: 0.8em 0;
  text-align: left;
}

img {
  max-width: unset;
  display: unset;
}

.title {
  max-width: 80em;
  margin: auto;
}

/*** top ***/
.top_page {
  animation: fadeIn 0.3s forwards;
}

.top_catch {
  margin: auto;
  display: flex;
  align-items: center;
  padding-top: 2.5em;
}

.top_catch .anim-box {
  animation: fadeup 2.5s cubic-bezier(0.78, -0.07, 0.68, 1) forwards;
}
.top_catch .anim-box2 {
  animation: fadeIn 2.1s cubic-bezier(0.66, 0, 0.3, 0.09) forwards;
}
@keyframes fadeup {
  0% {
    transform: translateY(30px);
    opacity: 0;
  }
  30% {
    opacity: 0;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.catch_mockUp {
  display: none;
}

.catch_mockUpS {
  max-width: 400px;
  min-width: 180px;
  left: 0;
  position: relative;
}

.top_copy_badge {
  position: absolute;
  width: 80%;
  background-color: #ffffffcc;
  border-radius: 5px;
  padding: 0.6em;
  max-width: 600px;
  right: 0;
}

.top_copy_badge.slideinLeft {
  animation: slideinLeft 1s forwards;
}
@keyframes slideinLeft {
  0% {
    transform: translateX(150px);
  }
  100% {
    transform: translateX(0);
  }
}

.catch_copy {
  padding: 1.5em 0 1.5em;
  max-width: 400px;
  margin: auto;
  display: block;
}

.top_logo {
  width: 200px;
  margin: auto;
  display: block;
}

.top_badge {
  display: flex;
  align-items: center;
  justify-content: center;
  animation: fadeIn 2.8s cubic-bezier(0.66, 0, 0.3, 0.09) forwards;
}

.app_badge {
  padding: 0.5em;
}

.app_badge img {
  height: 40px;
}

.google_badge {
  padding: 0.5em;
}

.google_badge img {
  height: 51px;
}

@media (min-width: 700px) {
  .hero {
    background: linear-gradient(to bottom, #ffffff00 25% 28%, #d0d0d015 30%, #ffffff 30% 83%, #a6a6a624 83%, #f8917400 87%);
  }

  .slideinRight {
    animation: slideinRight 1s forwards;
  }
  @keyframes slideinRight {
    0% {
      transform: translateX(-250px);
    }
    100% {
      transform: translateX(0);
    }
  }
  .top_catch {
    width: 100%;
    max-width: 1000px;
    padding-top: 5em;
  }
  .catch_mockUpS {
    display: none;
  }
  .catch_mockUp {
    max-width: 500px;
    min-width: 180px;
    display: block;
  }
  .catch_copy {
    padding: 0 0 1em;
    position: relative;
  }
  .top_logo {
    padding: 0.5em 0;
    width: 250;
  }
  .top_copy_badge {
    position: relative;
    background-color: unset;
    right: unset;
  }
  .top_badge {
    margin: 0 1.5em;
  }
  .app_badge {
    margin-left: 1em;
  }
  .app_badge img {
    height: 45px;
  }
  .google_badge img {
    height: 56px;
  }
}

/*** top Contents***/
.top_section {
  max-width: 90em;
  width: 100%;
}

.top_contents {
  background-image: url('/images/top_contents_photoS.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding: 0.3em 0;
  margin: 4em auto;
  max-width: 480px;
}

.top_contents .anim-box {
  animation: fadeup 1.5s cubic-bezier(0.33, 1, 0.68, 1) forwards;
}

.top_text {
  color: var(--font-colorB);
  font-size: 1em;
  font-weight: 500;
  padding: 2em 0.5em;
  text-shadow: 0.05em 0.05em 0.05em #fff, -0.05em -0.05em 0.05em #fff, -0.05em 0.05em 0.05em #fff, 0.05em -0.05em 0.05em #fff;
  background-color: #fffbfbcb;
  margin: 1em auto 2em;
  width: 95%;
  max-width: 415px;
  padding: 8% 5%;
  box-shadow: rgb(100 100 111 / 8%) 0px 11px 20px 12px;
  transition: 2s;
  opacity: 0;
}

.top_text p {
  line-height: 1.7;
}

.text_green {
  color: var(--font-colorG);
}

.text_2 {
  font-weight: 400;
  color: var(--mono-color2);
  width: 85%;
  padding: 4em 0;
  text-align: center;
}

.text_2 p {
  line-height: 2.1;
}

.text_margin {
  margin-top: 0.8em;
}

.text_3 {
  font-size: 1.2em;
  text-align: center;
}

.text_mini {
  font-size: 0.8em;
}

@media (max-width: 450px) {
  .top_contents {
    background-size: contain;
    background-position: center;
  }
  .top_text {
    padding: 5% 3%;
  }
}

@media (min-width: 650px) {
  .top_contents {
    background-image: url('/images/top_contents_photo.png');
    background-size: cover;
    background-size: contain;
    align-items: center;
    margin: 5em auto;
    max-width: 1500px;
    max-width: unset;
  }
  .top_text {
    padding: 2.5em 7.4%;
    font-size: 1.25em;
    width: 85%;
    max-width: 40em;
  }
  .text_3 {
    font-size: 1.5em;
  }
}

.introduction {
  margin-bottom: 1em;
  margin: auto;
  text-align: center;
  margin-bottom: 4em;
}

.introduction div {
  width: 40vw;
  margin: auto;
  padding: 2em 1em;
  display: inline-block;
  vertical-align: top;
}

.introduction img {
  max-width: 100%;
  opacity: 0;
}

.introduction p {
  text-align: left;
}

.introduction .smooth {
  clip-path: inset(0 100% 0 0);
  transition: 1.4s cubic-bezier(0.37, 0, 0.63, 1);
  transition: 1.3s cubic-bezier(0.45, 0.16, 0.63, 1);
  transition-property: clip-path;
}

.introduction .anim-box {
  clip-path: inset(0);
}

.introduction img.anim-box {
  animation: fadeIn 1s cubic-bezier(0.66, 0, 0.3, 0.09) forwards;
}

@media (min-width: 800px) {
  .introduction div {
    width: 20vw;
    padding: 1.5em;
    padding: 2vw;
    max-width: 18em;
  }
}

@media (max-width: 365px) {
  .introduction div {
    width: 70vw;
    margin: auto;
    padding: 2em 1em;
    display: block;
  }
}

.top_download {
  background: #ffffff52;
  padding: 3.5em 0 2em;
  box-shadow: rgb(100 100 111 / 8%) 0px 11px 20px 12px;
  opacity: 0;
  margin-bottom: 2.2em;
}

.download_logo {
  width: 9em;
  margin: auto;
}

.top_download.anim-box {
  opacity: 1;
  animation: fadeIn 0.65s cubic-bezier(0.58, 0.14, 0.71, 0.58) forwards;
}

.top_download_contents {
  color: var(--font-colorB);
  font-size: 5vw;
  font-weight: 500;
  text-align: center;
  text-shadow: 0.05em 0.05em 0.05em #fff, -0.05em -0.05em 0.05em #fff, -0.05em 0.05em 0.05em #fff, 0.05em -0.05em 0.05em #fff;
}

.top_download_badge {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.app_badge2 {
  height: 70px;
  padding: 0.5em;
  max-width: none;
}

.google_badge2 {
  height: 84px;
  padding: 0.5em;
  max-width: none;
}

@media (min-width: 650px) {
  .top_download {
    width: 90%;
    max-width: 53em;
    margin: auto;
    margin-bottom: 2em;
  }
  .top_download_contents {
    font-size: 28px;
  }
  .top_download_badge {
    justify-content: center;
    align-items: center;
  }
  .app_badge2 {
    height: 85px;
    margin-right: 0.5em;
  }
  .google_badge2 {
    height: 99px;
    margin-left: 0.5em;
  }
}

@media (max-width: 400px) {
  .app_badge2 {
    height: 48px;
    padding: 0.3em;
  }
  .google_badge2 {
    height: 56px;
    padding: 0.25em;
  }
}

/*****subPage*****/
.sub_page {
  max-width: 60em;
  margin: auto;
  animation: fadeIn 0.6s forwards;
}

/*** help ***/
.accordion {
  margin: 2em auto;
  max-width: 50em;
}

.toggle {
  display: none;
}

.option {
  position: relative;
  margin-bottom: 1em;
  border: 2px solid var(--mono-color5);
  border-radius: 5px;
  background-color: var(--mono-colorW);
}

.help_title,
.help_content {
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  transform: translateZ(0);
  transition: all 0.8s;
}

.help_title {
  padding: 10px 30px 10px 10px;
  display: block;
  color: var(--font-colorG);
  font-weight: 500;
}

.help_title::after,
.help_title::before {
  content: '';
  position: absolute;
  right: 1.25em;
  top: 1.1em;
  width: 2px;
  height: 0.75em;
  background-color: var(--mono-color4);
  transition: all 0.3s;
}

.help_title::after {
  transform: rotate(90deg);
}

.help_content {
  max-height: 0;
  overflow: hidden;
}

.help_content p {
  margin: 0;
  padding: 0.5em 1em 1em;
  font-size: 0.9em;
  line-height: 1.5;
  color: var(--mono-color2);
}

.toggle:checked + .help_title + .help_content {
  max-height: 800px;
  transition: all 1.9s;
}

.toggle:checked + .help_title::before {
  transform: rotate(90deg) !important;
}

/*** text page ***/
.text_contents {
  border-radius: 3px;
  padding: 0.8em;
  margin-bottom: 2em;
  color: var(--mono-color2);
}

.text_contents a {
  color: var(--mono-color2);
  margin-top: 0.4em;
  display: inline-block;
  text-decoration: underline solid 1px var(--mono-color2);
}

.text_marginbottom {
  margin-bottom: 0.9em;
}

.text_info {
  padding-top: 1em;
}

.text_subtitle {
  padding: 1.5em 0 0.5em;
}

.privacy_establishment {
  padding: 2em 0;
}

.contact_img {
  width: 100%;
  max-width: 300px;
  margin: auto;
  margin-top: 2em;
  display: block;
}

.contact_text {
  border-top: 1px solid var(--mono-color4);
  margin-top: 5em;
  padding: 1em 0;
}

.contact_mail {
  padding: 0.8em 0;
}

.underline {
  border-bottom: 1px solid var(--foreground-colorG);
}

@media (min-width: 600px) {
  .contact_image {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
  }
  .contact_img {
    width: 30%;
    margin: 2em 0.5em;
  }
}

/*** how to ***/
.TOC {
  margin: 1em auto;
  padding: 1.7em 2em 1.45em 2.1em;
  max-width: 50em;
  background-color: #ffffff6b;
  box-shadow: rgb(100 100 111 / 8%) 0px 11px 20px 12px;
}

.TOC a {
  text-decoration: none;
  background: linear-gradient(var(--mono-color5) 0 0) 0 100% / var(--d, 0) 1.8px no-repeat;
  transition: 0.4s;
  padding: 0.3em;
  font-size: 1.1em;
}

.TOC a:hover {
  --d: 100%;
}

.how_to div {
  margin: auto;
  padding: 4.5em 0;
  max-width: 50em;
  border-bottom: var(--mono-color5) solid 1px;
}

.how_to img {
  display: block;
  margin: auto;
  padding: 2em 0em 0;
}

.img_double {
  width: 100%;
}

.img_single {
  width: 50%;
}

.under_p {
  padding-top: 1.5em;
}

.how_to p {
  font-size: 1.1em;
}

.green_bold {
  color: var(--font-colorG);
  font-weight: 500;
}

.bold {
  font-weight: 600;
}

@media (min-width: 600px) {
  .under_p {
    padding-top: 3.5em;
    padding-bottom: 1em;
  }
  .how_to img {
    padding: 2.5em 0.5em 0;
  }

  .img_double {
    width: 60%;
  }

  .img_single {
    width: 30%;
  }
}

/**pagetop**/
.pagetop {
  cursor: default;
  position: fixed;
  right: 30px;
  bottom: 30px;
  display: flex;
  justify-content: center;
  width: 50px;
  height: 50px;
  transition: 0.3s;
  color: var(--font-colorG);
  background: #ffffffae;
  opacity: 0;
  transform: rotate(-90deg);
  font-size: 25px;
  padding-top: 4.2px;
}

.top_pagetop {
  position: relative;
  top: 0.1em;
  right: unset;
}

.pagetop:hover {
  box-shadow: 0 0 10px #cecece;
}

/*** footer ***/
footer {
  padding: 2rem;
  font-size: 15px;
  color: var(--mono-color1);
  background-color: var(--background-color);
  position: sticky;
  top: 100vh;
  display: flex;
}

footer ul {
  list-style: none;
  padding: 0;
  margin: unset;
}

footer a {
  color: var(--mono-color1);
  text-decoration: none;
}

footer a:hover {
  color: var(--mono-color2);
}

.copyright {
  margin: auto;
}

@media (max-width: 360px) {
  .top_badge {
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }
}
